@import "../../styles/colors";
@import "../../styles/pullToRefresh";
@import "../../styles/spinners";

.screen1-container {
  overflow: hidden;
  min-height: -webkit-fill-available;

  .data-container {
    width: 80vw;
    height: 40vh;
    margin-left: 10vw;
    margin-top: 5vh;

    .data-header {
      display: flex;
      flex-direction: row;
      -webkit-flex-direction: row;
      border-bottom: @color2 solid 1px;

      .col {
        width: 40vw;
        text-align: center;
        font-size: small;
        height: 5vh;
        line-height: 5vh;
        text-justify: auto;
      }

      .col1 {
        .col;
        border-right: @color2 solid 1px;
      }

      .col2 {
        .col;
      }
    }

    .data-content {
      display: flex;
      flex-direction: column;
      -webkit-flex-direction: column;
      height: 35vh;
      width: 100vw;
      overflow-y: scroll;

     .data-rows {
       width: 100%;
       height: auto;
       .has-changed {
         animation: swing 1s;
         background-color: lightcoral;
         color: white;
       }

       .data-row {
         display: flex;
         flex-direction: row;
         -webkit-flex-direction: row;
         line-height: 3vh;
         text-justify: auto;

         .col {
           width: 40vw;
           text-align: center;
           font-size: small;
         }

         .col1 {
           .col;
           border-right: @color2 solid 1px;
         }

         .col2 {
           .col;
         }
       }
     }

    }
  }

  .action-container {
    padding-top: 4vh;
    button {
      width: 30vw;
      height: 15vw;
    }
  }

  .bottom-container {
    min-width: 100vw;
    min-height: 15vh;

    .pending-block {
      height: 15vh;
      width: 35vw;
      border-top: @color2 solid 1px;

      .value {
        color: @textColor;
        height: 8vh;
        line-height: 10vh;
        text-align: center;
        text-justify: auto;
        font-size: xx-large;
        font-weight: bold;
      }

      .title {
        color: @textColor;
        text-align: center;
        padding: 5px 5px 5px 5px;
        font-size: medium;
        width: 30vw;
        height: 5vh;
      }

    }

    font-size: large;

  }

  .header-container {
    width: 100vw;
    padding-top: 2em;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    .back-arrow {
      height: 25vw;
      margin-left: 2vw;
      align-self: start;
      display: flex;
      align-items: center;
    }

    .logo {
      align-self: center;
      height: 25vw;
      display: flex;
      align-items: center;
      img {
        max-width: 25vw;
        max-height: 25vw;
      }
    }

    .spinner {
      height: 25vw;
      margin-right: 4vw;
      align-self: end;
      display: flex;
      align-items: center;
      .sk-fading-circle {
        margin: 0;
        width: 5vw;
        height: 5vw;
      }
    }
  }

  .time {
    width: 100%;
    text-align: center;
    padding-top: 1vh;
    color: @textColor;
  }

}

